package com.gyee.viewticket.controller.viewticket;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.viewticket.comm.domain.AjaxResult;
import com.gyee.viewticket.service.ticket.EquoperationrecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author admin
 * @since 2021-07-05
 */
@RestController
@RequestMapping("/equoperationrecord")
public class EquoperationrecordController {



    @Autowired
    EquoperationrecordService equoperationrecordService;
    /**
     * 按场站获取所有风机
     * @param wtid 风机编号
     * @return
     */
    @CrossOrigin(origins = "*",maxAge = 3600)
    @GetMapping(value = "list")
    public AjaxResult getEquoperationrecordPageList(
            @RequestParam(value = "pagenum") Integer pageNum,
            @RequestParam(value = "pagesize") Integer pageSize,
            @RequestParam(value = "starttime", required = false) String startTime,
            @RequestParam(value = "endtime", required = false) String endTime,
            @RequestParam(value = "wtid",required = false)String wtid) {
        Page page = new Page(pageNum, pageSize);
        IPage<Map> list = equoperationrecordService.getEquoperationrecordPageList(page,startTime,endTime,wtid);
        return AjaxResult.successData(list);
    }

}

